Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.util
Class SourceCode.Field

    java.lang.Object
      org.apache.openjpa.persistence.util.SourceCode.Element<SourceCode.Field>
          org.apache.openjpa.persistence.util.SourceCode.Field

All Implemented Interfaces:
  Comparable<SourceCode.Element<SourceCode.Field>>

Enclosing class:
  SourceCode

    public class SourceCode.Field

extends SourceCode.Element<SourceCode.Field>

Represents field declaration.

Field Summary
`protected boolean` | `isTransient`
`protected boolean` | `isVolatile`

Fields inherited from class org.apache.openjpa.persistence.util.SourceCode.Element
`access, annos, comment, isFinal, isStatic, name, params, type`

Constructor Summary
`SourceCode.Field(SourceCode.Class owner, String name, org.apache.openjpa.persistence.util.SourceCode.ClassName type)`

Method Summary
`SourceCode.Field` | `addGetter()`
`SourceCode.Field` | `addSetter()`
`boolean` | `equals(Object other)`
`void` | `makeTransient()`
`void` | `makeVolatile()`
`SourceCode.Field` | `markAsBean()` Adds bean-style getter setter method.
`String` | `toString()`
`void` | `write(PrintWriter out, int tab)`

Methods inherited from class org.apache.openjpa.persistence.util.SourceCode.Element
`addAnnotation, addComment, addParameter, compareTo, getType, makeFinal, makePrivate, makeProtected, makePublic, makeStatic`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isTransient

    protected boolean isTransient

### isVolatile

    protected boolean isVolatile

Constructor Detail

### SourceCode.Field

    SourceCode.Field(SourceCode.Class owner,
                     String name,
                     org.apache.openjpa.persistence.util.SourceCode.ClassName type)

Method Detail

### markAsBean

    public SourceCode.Field markAsBean()

  Adds bean-style getter setter method.

### addGetter

    public SourceCode.Field addGetter()

### addSetter

    public SourceCode.Field addSetter()

### makeVolatile

    public void makeVolatile()

### makeTransient

    public void makeTransient()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(PrintWriter out,
                      int tab)

  Overrides:
    `write` in class `SourceCode.Element<SourceCode.Field>`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.